For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
      • GETGet delivery notes
      • POSTCreate a delivery note
      • GETGet a delivery note by ID
      • DELDelete a delivery note
      • PATCHUpdate a delivery note
      • POSTCancel a delivery note
      • POSTMark a delivery note as delivered
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts receivableDelivery notes

Get delivery notes

GET
/delivery_notes
GET
/v1/delivery_notes
$curl https://api.sandbox.monite.com/v1/delivery_notes \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6",
5 "created_at": "2022-01-01T00:00:00Z",
6 "updated_at": "2022-01-01T00:00:00Z",
7 "counterpart": {
8 "id": "id",
9 "individual": {
10 "first_name": "Adnan",
11 "is_customer": true,
12 "is_vendor": true,
13 "last_name": "Singh",
14 "email": "asingh@example.net",
15 "phone": "5553211234",
16 "tags": [
17 {
18 "id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5",
19 "created_at": "2022-09-07T16:35:18Z",
20 "updated_at": "2022-09-07T16:35:18Z",
21 "name": "Marketing",
22 "category": "document_type",
23 "created_by_entity_user_id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5",
24 "description": "Tag for the Marketing Department"
25 }
26 ],
27 "title": "Mr."
28 },
29 "language": "ab",
30 "organization": {
31 "is_customer": true,
32 "is_vendor": true,
33 "legal_name": "Acme Inc.",
34 "email": "acme@example.com",
35 "phone": "5551231234",
36 "tags": [
37 {
38 "id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5",
39 "created_at": "2022-09-07T16:35:18Z",
40 "updated_at": "2022-09-07T16:35:18Z",
41 "name": "Marketing",
42 "category": "document_type",
43 "created_by_entity_user_id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5",
44 "description": "Tag for the Marketing Department"
45 }
46 ]
47 }
48 },
49 "counterpart_address": {
50 "city": "Counterpart City",
51 "country": "DE",
52 "line1": "Counterpart Street",
53 "postal_code": "123009",
54 "line2": "line2",
55 "state": "state"
56 },
57 "counterpart_id": "a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6",
58 "display_signature_placeholder": true,
59 "document_id": "DN-2022-01-01-0001",
60 "entity": {
61 "type": "organization",
62 "name": "name",
63 "email": "email",
64 "logo": "logo",
65 "phone": "phone",
66 "registration_authority": "registration_authority",
67 "registration_number": "registration_number",
68 "tax_id": "tax_id",
69 "vat_id": "vat_id",
70 "website": "website"
71 },
72 "entity_address": {
73 "city": "Entity City",
74 "line1": "Entity Street",
75 "postal_code": "123009",
76 "country": "DE",
77 "line2": "line2",
78 "state": "state"
79 },
80 "entity_id": "a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6",
81 "file_language": "en",
82 "line_items": [
83 {
84 "product": {
85 "name": "Product Name",
86 "description": "Description of product",
87 "measure_unit": {
88 "name": "pcs",
89 "description": "Pieces"
90 }
91 },
92 "quantity": 20
93 }
94 ],
95 "original_file_language": "de",
96 "status": "created",
97 "based_on": "a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6",
98 "based_on_document_id": "IN-2022-01-01-0001",
99 "created_by_entity_user_id": "a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6",
100 "delivery_date": "2022-01-01",
101 "delivery_number": "102-2022-0987",
102 "file_url": "https://example.com/delivery_note.pdf",
103 "memo": "This is a memo",
104 "original_file_url": "https://example.com/delivery_note_original.pdf"
105 }
106 ],
107 "next_pagination_token": "next_pagination_token",
108 "prev_pagination_token": "prev_pagination_token"
109}
Get all delivery notes with filtering and pagination.
Was this page helpful?
Previous

Create a delivery note

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Query parameters

orderenumOptional

Sort order (ascending by default). Typically used together with the sort parameter.

Allowed values:
limitintegerOptional1-100Defaults to 100

The number of items (0 .. 100) to return in a single page of the response. The response may contain fewer items if it is the last or only page.

pagination_tokenstringOptional

A pagination token obtained from a previous call to this endpoint. Use it to get the next or previous page of results for your initial query. If pagination_token is specified, all other query parameters are ignored and inferred from the initial query.

If not specified, the first page of results will be returned.

sortenumOptional

The field to sort the results by. Typically used together with the order parameter.

Allowed values:
id__instringOptionalformat: "uuid"
statusenumOptional
Allowed values:
status__inenumOptional
Allowed values:
document_idstringOptional<=100 characters
document_id__containsstringOptional<=100 characters
document_id__icontainsstringOptional<=100 characters
created_by_entity_user_idstringOptionalformat: "uuid"
counterpart_idstringOptionalformat: "uuid"
based_onstringOptionalformat: "uuid"
based_on_document_idstringOptional<=100 characters
based_on_document_id__containsstringOptional<=100 characters
based_on_document_id__icontainsstringOptional<=100 characters
created_at__gtdatetimeOptional
created_at__ltdatetimeOptional
created_at__gtedatetimeOptional
created_at__ltedatetimeOptional
delivery_date__gtstringOptionalformat: "date"
delivery_date__ltstringOptionalformat: "date"
delivery_date__gtestringOptionalformat: "date"
delivery_date__ltestringOptionalformat: "date"

Response

Successful Response
datalist of objects
List of delivery notes
next_pagination_tokenstring

A token that can be sent in the pagination_token query parameter to get the next page of results, or null if there is no next page (i.e. you’ve reached the last page).

prev_pagination_tokenstring

A token that can be sent in the pagination_token query parameter to get the previous page of results, or null if there is no previous page (i.e. you’ve reached the first page).

Errors

400
Get Delivery Notes Request Bad Request Error
401
Get Delivery Notes Request Unauthorized Error
403
Get Delivery Notes Request Forbidden Error
422
Get Delivery Notes Request Unprocessable Entity Error
500
Get Delivery Notes Request Internal Server Error